#ifndef HTABLE_H
#define HTABLE_H

#include <windows.h>
#include "cdefs.h"

//data we need to store

typedef struct window_and_slim_object_info {
  cint key;
  cptr object;
} information_to_store;

typedef struct hash_table_stuff {
  int index,                     //to get a specific table size
      num_entries,               //how many entries in hash table
      current_table_size,        //current size of table
      limit;                     //max. num of entries
  information_to_store *data;
} hash_table;

void init_hash_table(hash_table *h);
void add_to_hash_table(hash_table *h, cint key, cptr object);
cptr lookup_value_using_hash_table(hash_table *h, cint key);
void remove_from_hash_table(hash_table *h, cint key);

#endif
